Facing Error using truffle with Azure Blockchain Service

Occasional Visitor
 
 
I am trying to setup Azure Blockchain Service using the guide given on this page: https://docs.microsoft.com/en-us/azure/blockchain/service/send-transaction.
 
I have followed all the steps given on the page, but when I try to run this command: 
truffle migrate --network defaultnode
I get an error which is given below.
 
Kindly guide me regarding the same. I am unable to find the solution.

 
 
 
 
 
Compiling your contracts...
===========================
> Everything is up to date, there is nothing to compile.


Starting migrations...
======================
> Network name:    'defaultnode'
> Network id:      682
> Block gas limit: 0x722cf144


1_initial_migration.js
======================

   Deploying 'Migrations'
   ----------------------
   > transaction hash:    0x9c756ef411befd6a6f75e2adca705fe8ec5dc128d4e3c59912a881976dcf36cd
   > Blocks: 2            Seconds: 8
   > contract address:    0x38b66880AFF8f657583130357Adb8d523F7d749B
   > block number:        2762
   > block timestamp:     1563024838
   > account:             0xFDA31b47E847270944adeaE34101F22482Df9aC7
   > balance:             0
   > gas used:            261393
   > gas price:           0 gwei
   > value sent:          0 ETH
   > total cost:          0 ETH


   ⠼ Saving migration to chain.Error: Error: StatusError: Transaction: 0xc6ed446be50293e27bdea682f56f55070056dc6cafdf4b8b82a5418a91e1280e exited with an error (status 0) after consuming all gas.
     Please check that the transaction:
     - satisfies all conditions set by Solidity `assert` statements.
     - has enough gas to execute the full transaction.
     - does not trigger an invalid opcode by other means (ex: accessing an array out of bounds).
    at Object.run (/usr/local/lib/node_modules/truffle/build/webpack:/packages/truffle-migrate/index.js:92:1)
    at processTicksAndRejections (internal/process/task_queues.js:86:5)
Truffle v5.0.26 (core: 5.0.26)
Node v11.15.0
1 Reply

Hi @geeteshgupta,

 

I was having the same error and worked downgrading the truffle version to v5.05

 

npm i -g truffle@v5.0.5